# Telegram_Setup_script


<p>Das vorliegende Bash-Skript automatisiert die Einrichtung eines Node.js-Projekts f&uuml;r einen Telegram-Bot und erstellt dabei auch Skripte f&uuml;r den Start und den Autostart des Bots. Hier ist eine Beschreibung der wichtigsten Schritte:</p>
<ol>
<li>
<p><strong>Node.js-Pr&uuml;fung und Installation:</strong></p>
<ul>
<li>&Uuml;berpr&uuml;ft, ob Node.js auf dem System installiert ist.</li>
<li>Falls nicht, versucht das Skript, Node.js automatisch zu installieren, je nach dem vorliegenden Linux-System (apt oder yum). Falls keine automatische Installation m&ouml;glich ist, wird der Benutzer aufgefordert, Node.js manuell zu installieren.</li>
</ul>
</li>
<li>
<p><strong>npm-Pr&uuml;fung und Installation:</strong></p>
<ul>
<li>&Uuml;berpr&uuml;ft, ob npm (Node Package Manager) auf dem System installiert ist.</li>
<li>Falls nicht, wird npm automatisch installiert.</li>
</ul>
</li>
<li>
<p><strong>Eingabe des Dateinamens f&uuml;r das Node.js-Projekt:</strong></p>
<ul>
<li>Der Benutzer wird aufgefordert, den Namen der .js-Datei f&uuml;r das Node.js-Projekt einzugeben, ohne die Dateiendung.</li>
</ul>
</li>
<li>
<p><strong>Initialisierung des Node.js-Projekts mit npm init:</strong></p>
<ul>
<li>Es wird ein neues Node.js-Projekt mit <code>npm init</code> erstellt, und dabei werden Umgebungsvariablen wie Projektname, Version, Beschreibung, usw. verwendet.</li>
</ul>
</li>
<li>
<p><strong>Installation von ben&ouml;tigten Paketen:</strong></p>
<ul>
<li>Installiert verschiedene npm-Pakete, die f&uuml;r einen Telegram-Bot n&uuml;tzlich sein k&ouml;nnten, einschlie&szlig;lich <code>node-telegram-bot-api</code>, <code>ping</code>, <code>js-yaml</code>, <code>moment</code>, <code>dotenv</code>, <code>fs</code>, <code>request</code>, <code>nodemailer</code>, <code>axios</code>.</li>
</ul>
</li>
<li>
<p><strong>Installation von pm2:</strong></p>
<ul>
<li>&Uuml;berpr&uuml;ft, ob pm2 (Prozessmanager f&uuml;r Node.js-Anwendungen) installiert ist.</li>
<li>Falls nicht, wird pm2 automatisch installiert.</li>
</ul>
</li>
<li>
<p><strong>Erstellung von Startskripten f&uuml;r den Bot:</strong></p>
<ul>
<li>Erstellt ein Startskript (<code>start_bot.sh</code>) f&uuml;r den Bot, das pm2 verwendet, um die angegebene .js-Datei zu starten.</li>
<li>Erstellt ein Autostart-Skript (<code>telegram_bot.service</code>) f&uuml;r den Bot, um sicherzustellen, dass der Bot nach einem Neustart automatisch gestartet wird.</li>
</ul>
</li>
<li>
<p><strong>Feedback und Fertigstellung:</strong></p>
<ul>
<li>Gibt abschlie&szlig;end eine Erfolgsmeldung aus und weist den Benutzer darauf hin, dass das Skript erfolgreich erstellt wurde. Der Benutzer wird darauf hingewiesen, das <code>start_bot.sh</code>-Skript zu verwenden, um den Bot zu starten.</li>
</ul>
</li>
</ol>
<p>Bitte beachten Sie, dass es wichtig ist, die Umgebungsvariablen in der <code>.env</code>-Datei entsprechend Ihrer Anforderungen vor der Ausf&uuml;hrung des Skripts festzulegen.</p>
